import { PythonBridge } from 'python-bridge';
export declare type BoundingFiveNumber = [number, number, number, number, number];
export declare type LandmarkRowList = number[][];
export declare class PythonFacenet {
    python3: PythonBridge;
    private facenetInited;
    private mtcnnInited;
    private SRC_DIRNAME;
    private VENV;
    constructor();
    initVenv(): void;
    initBridge(): PythonBridge;
    initFacenet(): Promise<void>;
    initMtcnn(): Promise<void>;
    quit(): Promise<void>;
    /**
     *
     * @param imageData
     */
    align(imageData: ImageData): Promise<[BoundingFiveNumber[], LandmarkRowList]>;
    /**
     *
     * @param image
     */
    embedding(imageData: ImageData): Promise<number[]>;
    base64_to_image(text: string, row: number, col: number, depth: number): Promise<number[][][]>;
    /**
     * Deal with big file(e.g. 4000 x 4000 JPEG)
     * the following method will cause NODEJS HEAP MEMORY OUT(>1.5GB)
     * https://github.com/nicolaspanel/numjs/issues/21#issuecomment-319301957
     *
     * MEMORY OUT 1: image.flatten()
     * MEMORY OUT 2: [].concat.apply([], arrays);
     * MEMORY OUT 3: image.reshape()
     *
     * @param image
     */
    base64ImageData(imageData: ImageData): string;
}
